#!/bin/sh
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - m64p_install.sh                                         *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2009 Richard Goedeken                                   *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

# terminate the script if any commands return a non-zero error code
set -e

if [ -z "$MAKE" ]; then
	MAKE=make
fi

echo "************************************ Installing core library"
"$MAKE" -C source/mupen64plus-core/projects/unix install $@

echo "************************************ Installing console front-end"
"$MAKE" -C source/mupen64plus-ui-console/projects/unix install $@

echo "************************************ Installing audio plugin"
"$MAKE" -C source/mupen64plus-audio-sdl/projects/unix install $@

echo "************************************ Installing input plugin"
"$MAKE" -C source/mupen64plus-input-sdl/projects/unix install $@

echo "************************************ Installing RSP plugin"
"$MAKE" -C source/mupen64plus-rsp-hle/projects/unix install $@

echo "************************************ Installing video plugin"
"$MAKE" -C source/mupen64plus-video-rice/projects/unix install $@


